Xfce Forum

Sub domains
 

You are not logged in.

#1 2009-03-24 14:49:59

Christoph Wurm
Member
Registered: 2009-03-24
Posts: 3

Xfce 4.6: Installer fails to build xfce4-settings.

Hello,

I want to install Xfce 4.6 on my Xubuntu 8.10 system. I downloaded the installer at http://mocha.xfce.org/archive/xfce-4.6. … taller.run and verified its integrity with the provided md5 and md5sum.

I satisfied all mandatory and optional dependencies as specified by http://www.xfce.org/documentation/insta … index.html and the installer.

However, the installer fails while compiling xfce4-settings. You can see the relevant output from ~/.xfce4.installer-log below.

Please feel free to request any additional information necessary.

Thanks in advance.

Best Regards

Christoph Wurm


--------------------------------------------- Last lines from ~/.xfce4.installer-log --------------------------------------------------

cc1: warnings being treated as errors
pointers.c: In function ‘xfce_pointers_helper_init’:
pointers.c:138: error: ‘XGetExtensionVersion’ is deprecated (declared at /usr/include/X11/extensions/XInput.h:1173)
make[2]: *** [xfce4_settings_helper-pointers.o] Error 1
make[2]: *** Waiting for unfinished jobs....
mv -f .deps/xfce4_settings_helper-workspaces.Tpo .deps/xfce4_settings_helper-workspaces.Po
make[2]: Leaving directory `/tmp/xfce4-4.6-installer/xfce4-settings/xfce4-settings-helper'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/xfce4-4.6-installer/xfce4-settings'
make: *** [all] Error 2
!! Failed to build xfce4-settings, see the errors above
!! for details on the problem.

Offline

#2 2009-03-24 15:19:08

Wapush
Member
Registered: 2006-12-14
Posts: 140

Re: Xfce 4.6: Installer fails to build xfce4-settings.

Offline

#3 2009-03-24 15:49:59

Christoph Wurm
Member
Registered: 2009-03-24
Posts: 3

Re: Xfce 4.6: Installer fails to build xfce4-settings.

Thanks Wapush.

I took a look at it, but there is a problem. I can't get xfce4 from his PPA because it's apparently built for i386 only. This is what the package details for xfce4 - 4.6.0~ppa1~intrepid1 show at https://launchpad.net/~jerome-guelfucci/+archive/ppa .

Interestingly, most of the packages are built for several architectures, including my amd64.

Anybody knows how to handle this?

Thanks in advance.

Offline

#4 2009-03-24 18:36:09

Wapush
Member
Registered: 2006-12-14
Posts: 140

Re: Xfce 4.6: Installer fails to build xfce4-settings.

I don't know, I don't use X/Ubuntu.

Edit: xfce4 is a meta-package for all architectures. (Thanks mr_pouit)

Offline

#5 2009-03-24 23:16:30

s0ulslack
Moderator
From: Idaho
Registered: 2005-12-25
Posts: 291

Re: Xfce 4.6: Installer fails to build xfce4-settings.

XInput is part of xorg, what version of xorg you have installed?  Its probably kb/mouse related (mouse I'll bet)

Offline

#6 2009-03-25 07:52:43

Christoph Wurm
Member
Registered: 2009-03-24
Posts: 3

Re: Xfce 4.6: Installer fails to build xfce4-settings.

Wapusch: Sure, the normal xfce4 is a meta-package for all architectures. But I am talking about the package in Jérome Guelfucci's PPA, please note the link and the exact package name above.
This one is built for i386 _only_, so that 'sudo apt-get install xfce4' does _not_ install the meta-package from the PPA.

s0ulslack: Here is the output of 'X -version':


---------------------------------- Output of X -version ----------------------------------------

X.Org X Server 1.5.2
Release Date: 10 October 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-16-server x86_64 Ubuntu
Current Operating System: Linux chr-laptop 2.6.27-11-generic #1 SMP Thu Jan 29 19:28:32 UTC 2009 x86_64
Build Date: 24 October 2008  09:06:49AM
xorg-server 2:1.5.2-2ubuntu3 (buildd@crested.buildd)
    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
Module Loader present

Offline

Board footer

Powered by FluxBB